org.apache.cxf.interceptor

## Class OutgoingChainInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.OutgoingChainInterceptor

- All Implemented Interfaces:
    Interceptor<Message>, PhaseInterceptor<Message>

      public class OutgoingChainInterceptor
      extends AbstractPhaseInterceptor<Message>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutgoingChainInterceptor()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static Conduit` | `getBackChannelConduit(Message message)`
    `static InterceptorChain` | `getOutInterceptorChain(Exchange ex)`
    `void` | `handleMessage(Message message)` Intercepts a message.

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutgoingChainInterceptor

          public OutgoingChainInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### getBackChannelConduit

          protected static Conduit getBackChannelConduit(Message message)
                                                  throws IOException

      Throws:
        `IOException`

    - #### getOutInterceptorChain

          public static InterceptorChain getOutInterceptorChain(Exchange ex)

Apache CXF